Template library
curl --request GET \
--url https://api.getreply.in/v1/templates/library \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/templates/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/templates/library",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/templates/library"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"name": "string",
"language": "string",
"category": "utility",
"topic": "orders",
"meta_topic": "string",
"meta_usecase": "string",
"header": {
"type": "text",
"text": "string"
},
"body": "string",
"body_examples": [
"string"
],
"footer": "string",
"buttons": [
{
"type": "string",
"text": "string"
}
],
"needs": [
{
"index": 1,
"input": "url"
}
]
}
],
"total": 1
}Templates
Template library
WhatsApp’s ready-made Utility and Authentication templates your number can use. Their words can’t be changed; create one with POST /v1/templates and library_template. Templates with buttons we don’t support yet are left out.
Permission: Any key (Full, Send only or Read only).
GET
/
v1
/
templates
/
library
Template library
curl --request GET \
--url https://api.getreply.in/v1/templates/library \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreply.in/v1/templates/library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/templates/library",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/templates/library"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"name": "string",
"language": "string",
"category": "utility",
"topic": "orders",
"meta_topic": "string",
"meta_usecase": "string",
"header": {
"type": "text",
"text": "string"
},
"body": "string",
"body_examples": [
"string"
],
"footer": "string",
"buttons": [
{
"type": "string",
"text": "string"
}
],
"needs": [
{
"index": 1,
"input": "url"
}
]
}
],
"total": 1
}Authorizations
Your API key, e.g. gr_live_…
Query Parameters
en (default), hi, gu, mr, ta, te, bn, kn, ml, pa or ur.
utility (default) or authentication.
orders, payments, appointments, account, feedback or other.
Words in the name, header or message.